package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRuralPopulation;
import com.lightinit.hsdatashow.entity.StWaterRuralPopulationExample;
import com.lightinit.hsdatashow.model.topic.water.StWaterRuralPopulationReturnModel;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface StWaterRuralPopulationMapper {
    long countByExample(StWaterRuralPopulationExample example);

    int deleteByExample(StWaterRuralPopulationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRuralPopulation record);

    int insertSelective(StWaterRuralPopulation record);

    List<StWaterRuralPopulation> selectByExample(StWaterRuralPopulationExample example);

    StWaterRuralPopulation selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRuralPopulation record, @Param("example") StWaterRuralPopulationExample example);

    int updateByExample(@Param("record") StWaterRuralPopulation record, @Param("example") StWaterRuralPopulationExample example);

    int updateByPrimaryKeySelective(StWaterRuralPopulation record);

    int updateByPrimaryKey(StWaterRuralPopulation record);

    BigDecimal getGongshuiRenkou();

    List<StWaterRuralPopulationReturnModel> selectByType(@Param("type") String type);
}